﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGDateTimeBlankDateCalendarCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void OnMainDataGridSelectedItemsChanged(object sender, Infragistics.Windows.DataPresenter.Events.SelectedItemsChangedEventArgs e)
        {
            ViewModel vm = this.DataContext as ViewModel;
            XamDataGrid grid = e.Source as XamDataGrid;

            if (vm != null && grid != null)
            {
                SampleData item = grid.ActiveDataItem as SampleData;
                if (item != null)
                {
                     vm.SetSelectedItemAsync(item);
                }
            }
        }
    }
}
