﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace XDGDateTimeBlankDateCalendarCase
{
    public class DetailsViewModel : INotifyPropertyChanged
    {
        private SampleData _selectedDataItem;
        public SampleData SelectedDataItem
        {
            get
            {
                return _selectedDataItem;
            }
            set
            {
                _selectedDataItem = value;
                NotifyPropertyChanged();
                
            }
        }


        public DetailsViewModel()
        {
        }

        public void SetSelectedItemAsync(SampleData item)
        {
            if (item != null)
            {
                this.SelectedDataItem = item;
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void NotifyPropertyChanged([CallerMemberName] string propertyName = "")
        {
            if (PropertyChanged != null)
            {
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }
}
